package soapril.prova3;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "soapril.prova3", "main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "soapril.prova3", "main");
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.sql.SQL _sqlmedicament = null;
public static String _dbfilename = "";
public static String _dbfiledir = "";
public static String _dbtablenamemedicament = "";
public static int _numberofcolumns = 0;
public static int _numberofrows = 0;
public static String[] _columnname = null;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scv1 = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnl1 = null;
public static int _panelheight = 0;
public static int _pnl1nb = 0;
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 31;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 34;BA.debugLine="File.Delete(DBFileDir, DBFileName)	' used for testing, deletes the existing database";
anywheresoftware.b4a.keywords.Common.File.Delete(_dbfiledir,_dbfilename);
 //BA.debugLineNum = 37;BA.debugLine="If File.Exists(DBFileDir, DBFileName) = False  Then";
if (anywheresoftware.b4a.keywords.Common.File.Exists(_dbfiledir,_dbfilename)==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 38;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
 //BA.debugLineNum = 39;BA.debugLine="File.Copy(File.DirAssets, DBFileName, DBFileDir, DBFileName)";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),_dbfilename,_dbfiledir,_dbfilename);
 //BA.debugLineNum = 40;BA.debugLine="SQLMedicament.Initialize(DBFileDir, DBFileName, True)";
_sqlmedicament.Initialize(_dbfiledir,_dbfilename,anywheresoftware.b4a.keywords.Common.True);
 };
 }else {
 //BA.debugLineNum = 43;BA.debugLine="If FirstTime Then";
if (_firsttime) { 
 //BA.debugLineNum = 44;BA.debugLine="SQLMedicament.Initialize(DBFileDir, DBFileName, True)";
_sqlmedicament.Initialize(_dbfiledir,_dbfilename,anywheresoftware.b4a.keywords.Common.True);
 };
 };
 //BA.debugLineNum = 49;BA.debugLine="scv1.Initialize(Activity.Height)";
mostCurrent._scv1.Initialize(mostCurrent.activityBA,mostCurrent._activity.getHeight());
 //BA.debugLineNum = 50;BA.debugLine="Activity.AddView(scv1,0,0,100%x,100%y)";
mostCurrent._activity.AddView((android.view.View)(mostCurrent._scv1.getObject()),(int)(0),(int)(0),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),anywheresoftware.b4a.keywords.Common.PerYToCurrent((float)(100),mostCurrent.activityBA));
 //BA.debugLineNum = 51;BA.debugLine="scv1.Panel.Color=Colors.Cyan";
mostCurrent._scv1.getPanel().setColor(anywheresoftware.b4a.keywords.Common.Colors.Cyan);
 //BA.debugLineNum = 53;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 60;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 62;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 55;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 57;BA.debugLine="SQLTableRead";
_sqltableread();
 //BA.debugLineNum = 58;BA.debugLine="End Sub";
return "";
}
public static String  _addrow(String[] _values) throws Exception{
int _i = 0;
anywheresoftware.b4a.objects.LabelWrapper _lbl1 = null;
anywheresoftware.b4a.objects.LabelWrapper _lbl2 = null;
 //BA.debugLineNum = 64;BA.debugLine="Sub AddRow(Values() As String)";
 //BA.debugLineNum = 66;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 67;BA.debugLine="Activity.LoadLayout(\"inicial\")";
mostCurrent._activity.LoadLayout("inicial",mostCurrent.activityBA);
 //BA.debugLineNum = 70;BA.debugLine="For i=0 To NumberOfRows";
{
final double step48 = 1;
final double limit48 = _numberofrows;
for (_i = (int)(0); (step48 > 0 && _i <= limit48) || (step48 < 0 && _i >= limit48); _i += step48) {
 //BA.debugLineNum = 73;BA.debugLine="Dim lbl1 As Label";
_lbl1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 74;BA.debugLine="Dim lbl2 As Label";
_lbl2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 76;BA.debugLine="pnl1.Initialize(\"\")";
mostCurrent._pnl1.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 77;BA.debugLine="scv1.Panel.AddView(pnl1,0,5dip+i*PanelHeight,100%x,PanelHeight)";
mostCurrent._scv1.getPanel().AddView((android.view.View)(mostCurrent._pnl1.getObject()),(int)(0),(int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(5))+_i*_panelheight),anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA),_panelheight);
 //BA.debugLineNum = 78;BA.debugLine="pnl1.LoadLayout(\"components\")";
mostCurrent._pnl1.LoadLayout("components",mostCurrent.activityBA);
 //BA.debugLineNum = 81;BA.debugLine="lbl1.Initialize(\"\")";
_lbl1.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 82;BA.debugLine="pnl1.AddView(lbl1,10dip, 20dip, 140dip, 40dip)";
mostCurrent._pnl1.AddView((android.view.View)(_lbl1.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(20)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(140)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 //BA.debugLineNum = 84;BA.debugLine="lbl1.TextSize=20";
_lbl1.setTextSize((float)(20));
 //BA.debugLineNum = 86;BA.debugLine="lbl1.Text = Values(0)";
_lbl1.setText((Object)(_values[(int)(0)]));
 //BA.debugLineNum = 89;BA.debugLine="lbl2.Initialize(\"\")";
_lbl2.Initialize(mostCurrent.activityBA,"");
 //BA.debugLineNum = 90;BA.debugLine="pnl1.AddView(lbl2, 10dip, 80dip, 140dip, 40dip)";
mostCurrent._pnl1.AddView((android.view.View)(_lbl2.getObject()),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(80)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(140)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 //BA.debugLineNum = 92;BA.debugLine="lbl2.TextSize=20";
_lbl2.setTextSize((float)(20));
 //BA.debugLineNum = 94;BA.debugLine="lbl2.Text = Values(1)";
_lbl2.setText((Object)(_values[(int)(1)]));
 }
};
 //BA.debugLineNum = 99;BA.debugLine="NumberOfRows = NumberOfRows + 1";
_numberofrows = (int)(_numberofrows+1);
 //BA.debugLineNum = 100;BA.debugLine="scv1.Panel.Height = NumberOfRows * PanelHeight";
mostCurrent._scv1.getPanel().setHeight((int)(_numberofrows*_panelheight));
 //BA.debugLineNum = 102;BA.debugLine="End Sub";
return "";
}
public static String  _addrownew(String[] _values) throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _lbl1 = null;
anywheresoftware.b4a.objects.LabelWrapper _lbl2 = null;
 //BA.debugLineNum = 127;BA.debugLine="Sub AddRowNew(Values() As String)";
 //BA.debugLineNum = 128;BA.debugLine="Dim Lbl1,Lbl2 As Label";
_lbl1 = new anywheresoftware.b4a.objects.LabelWrapper();
_lbl2 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 130;BA.debugLine="Lbl1.Initialize(\"Campo\")";
_lbl1.Initialize(mostCurrent.activityBA,"Campo");
 //BA.debugLineNum = 131;BA.debugLine="Lbl1.Text=Values(0)";
_lbl1.setText((Object)(_values[(int)(0)]));
 //BA.debugLineNum = 132;BA.debugLine="Lbl1.TextSize=20";
_lbl1.setTextSize((float)(20));
 //BA.debugLineNum = 133;BA.debugLine="Lbl1.Tag=\"Codigo \" & Values(0)";
_lbl1.setTag((Object)("Codigo "+_values[(int)(0)]));
 //BA.debugLineNum = 134;BA.debugLine="scv1.Panel.AddView(Lbl1,0,NumberOfRows*150dip,140dip,40dip)";
mostCurrent._scv1.getPanel().AddView((android.view.View)(_lbl1.getObject()),(int)(0),(int)(_numberofrows*anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(150))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(140)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 //BA.debugLineNum = 136;BA.debugLine="Lbl2.Initialize(\"Campo\")";
_lbl2.Initialize(mostCurrent.activityBA,"Campo");
 //BA.debugLineNum = 137;BA.debugLine="Lbl2.Text=Values(1)";
_lbl2.setText((Object)(_values[(int)(1)]));
 //BA.debugLineNum = 138;BA.debugLine="Lbl2.TextSize=20";
_lbl2.setTextSize((float)(20));
 //BA.debugLineNum = 139;BA.debugLine="Lbl2.Tag=\"Nombre \" & Values(1)";
_lbl2.setTag((Object)("Nombre "+_values[(int)(1)]));
 //BA.debugLineNum = 140;BA.debugLine="scv1.Panel.AddView(Lbl2,0,NumberOfRows*150dip+50dip,140dip,40dip)";
mostCurrent._scv1.getPanel().AddView((android.view.View)(_lbl2.getObject()),(int)(0),(int)(_numberofrows*anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(150))+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(50))),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(140)),anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40)));
 //BA.debugLineNum = 142;BA.debugLine="NumberOfRows = NumberOfRows + 1";
_numberofrows = (int)(_numberofrows+1);
 //BA.debugLineNum = 143;BA.debugLine="scv1.Panel.Height = NumberOfRows * 150";
mostCurrent._scv1.getPanel().setHeight((int)(_numberofrows*150));
 //BA.debugLineNum = 145;BA.debugLine="End Sub";
return "";
}
public static String  _campo_click() throws Exception{
anywheresoftware.b4a.objects.LabelWrapper _lbln = null;
 //BA.debugLineNum = 147;BA.debugLine="Sub Campo_Click()";
 //BA.debugLineNum = 148;BA.debugLine="Dim LblN As Label";
_lbln = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 149;BA.debugLine="LblN=Sender";
_lbln.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 //BA.debugLineNum = 150;BA.debugLine="ToastMessageShow(\"ha pinchado en \" & LblN.Tag,False)";
anywheresoftware.b4a.keywords.Common.ToastMessageShow("ha pinchado en "+String.valueOf(_lbln.getTag()),anywheresoftware.b4a.keywords.Common.False);
 //BA.debugLineNum = 151;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (processGlobalsRun == false) {
	    processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 22;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 25;BA.debugLine="Dim scv1 As ScrollView";
mostCurrent._scv1 = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim pnl1 As Panel";
mostCurrent._pnl1 = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim PanelHeight As Int	: PanelHeight=170dip";
_panelheight = 0;
 //BA.debugLineNum = 27;BA.debugLine="Dim PanelHeight As Int	: PanelHeight=170dip";
_panelheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(170));
 //BA.debugLineNum = 28;BA.debugLine="Dim pnl1Nb As Int			: pnl1Nb=5";
_pnl1nb = 0;
 //BA.debugLineNum = 28;BA.debugLine="Dim pnl1Nb As Int			: pnl1Nb=5";
_pnl1nb = (int)(5);
 //BA.debugLineNum = 29;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 2;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 7;BA.debugLine="Dim SQLMedicament As SQL";
_sqlmedicament = new anywheresoftware.b4a.sql.SQL();
 //BA.debugLineNum = 8;BA.debugLine="Dim DBFileName As String				: DBFileName = \"bebepediatra.db\"";
_dbfilename = "";
 //BA.debugLineNum = 8;BA.debugLine="Dim DBFileName As String				: DBFileName = \"bebepediatra.db\"";
_dbfilename = "bebepediatra.db";
 //BA.debugLineNum = 10;BA.debugLine="Dim DBFileDir As String					: DBFileDir = File.DirRootExternal";
_dbfiledir = "";
 //BA.debugLineNum = 10;BA.debugLine="Dim DBFileDir As String					: DBFileDir = File.DirRootExternal";
_dbfiledir = anywheresoftware.b4a.keywords.Common.File.getDirRootExternal();
 //BA.debugLineNum = 11;BA.debugLine="Dim DBTableNameMedicament As String		: DBTableNameMedicament = \"medicament\"";
_dbtablenamemedicament = "";
 //BA.debugLineNum = 11;BA.debugLine="Dim DBTableNameMedicament As String		: DBTableNameMedicament = \"medicament\"";
_dbtablenamemedicament = "medicament";
 //BA.debugLineNum = 14;BA.debugLine="Dim NumberOfColumns As Int				: NumberOfColumns = 2  'IMPORTANT NUMERO COLUMNES";
_numberofcolumns = 0;
 //BA.debugLineNum = 14;BA.debugLine="Dim NumberOfColumns As Int				: NumberOfColumns = 2  'IMPORTANT NUMERO COLUMNES";
_numberofcolumns = (int)(2);
 //BA.debugLineNum = 15;BA.debugLine="Dim NumberOfRows As Int					: NumberOfRows = 0";
_numberofrows = 0;
 //BA.debugLineNum = 15;BA.debugLine="Dim NumberOfRows As Int					: NumberOfRows = 0";
_numberofrows = (int)(0);
 //BA.debugLineNum = 16;BA.debugLine="Dim ColumnName(NumberOfColumns) As String	' noms de les columnes";
_columnname = new String[_numberofcolumns];
java.util.Arrays.fill(_columnname,"");
 //BA.debugLineNum = 17;BA.debugLine="ColumnName(0) = \"nom_med\"";
_columnname[(int)(0)] = "nom_med";
 //BA.debugLineNum = 18;BA.debugLine="ColumnName(1) = \"descripcio_med\"";
_columnname[(int)(1)] = "descripcio_med";
 //BA.debugLineNum = 20;BA.debugLine="End Sub";
return "";
}
public static String  _sqltableread() throws Exception{
int _i = 0;
anywheresoftware.b4a.sql.SQL.CursorWrapper _cursor1 = null;
String _txt = "";
String[] _col = null;
int _j = 0;
 //BA.debugLineNum = 104;BA.debugLine="Sub SQLTableRead";
 //BA.debugLineNum = 106;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 107;BA.debugLine="Dim Cursor1 As Cursor";
_cursor1 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 108;BA.debugLine="Dim txt As String";
_txt = "";
 //BA.debugLineNum = 110;BA.debugLine="txt = \"SELECT * FROM \" & DBTableNameMedicament";
_txt = "SELECT * FROM "+_dbtablenamemedicament;
 //BA.debugLineNum = 113;BA.debugLine="Cursor1 = SQLMedicament.ExecQuery(txt)";
_cursor1.setObject((android.database.Cursor)(_sqlmedicament.ExecQuery(_txt)));
 //BA.debugLineNum = 115;BA.debugLine="For i = 0 To Cursor1.RowCount - 1";
{
final double step72 = 1;
final double limit72 = (int)(_cursor1.getRowCount()-1);
for (_i = (int)(0); (step72 > 0 && _i <= limit72) || (step72 < 0 && _i >= limit72); _i += step72) {
 //BA.debugLineNum = 116;BA.debugLine="Dim Col(NumberOfColumns) As String";
_col = new String[_numberofcolumns];
java.util.Arrays.fill(_col,"");
 //BA.debugLineNum = 117;BA.debugLine="Cursor1.Position = i";
_cursor1.setPosition(_i);
 //BA.debugLineNum = 118;BA.debugLine="For j = 0 To NumberOfColumns - 1";
{
final double step75 = 1;
final double limit75 = (int)(_numberofcolumns-1);
for (_j = (int)(0); (step75 > 0 && _j <= limit75) || (step75 < 0 && _j >= limit75); _j += step75) {
 //BA.debugLineNum = 119;BA.debugLine="Col(j) = Cursor1.GetString(ColumnName(j))";
_col[_j] = _cursor1.GetString(_columnname[_j]);
 }
};
 //BA.debugLineNum = 121;BA.debugLine="AddRowNew(Col)";
_addrownew(_col);
 }
};
 //BA.debugLineNum = 123;BA.debugLine="Cursor1.Close";
_cursor1.Close();
 //BA.debugLineNum = 124;BA.debugLine="Activity.Title = \"Bebe Pediatra\"";
mostCurrent._activity.setTitle((Object)("Bebe Pediatra"));
 //BA.debugLineNum = 125;BA.debugLine="End Sub";
return "";
}
}
